USB_BUFFER_UNMAP_SG(9)

NAME
usb_buffer_unmap_sg - free DMA mapping(s) for a scatterlist

SYNOPSIS

void usb_buffer_unmap_sg (struct usb_device * dev, unsigned pipe, struct scatterlist * sg, int n_hw_ents);

ARGUMENTS

dev device to which the scatterlist will be mapped

pipe
    endpoint defining the mapping direction

sg  the scatterlist to unmap

n_hw_ents
    the positive return value from usb_buffer_map_sg

DESCRIPTION

Reverses the effect of usb_buffer_map_sg.